posix_getgrgid
posix_getgroups
POSIX Functions
PHP Manual

# posix_getgrnam

(PHP 4, PHP 5)

posix_getgrnam — Return info about a group by name

### Description

array posix_getgrnam ( string `$name` )

Gets information about a group provided its name.

### Parameters

`name`

  The name of the group

### Return Values

The array elements returned are:

The group information array
Element | Description
--- | ---
name | The name element contains the name of the group. This is a short, usually less than 16 character "handle" of the group, not the real, full name. This should be the same as the `name` parameter used when calling the function, and hence redundant.
passwd | The passwd element contains the group's password in an encrypted format. Often, for example on a system employing "shadow" passwords, an asterisk is returned instead.
gid | Group ID of the group in numeric form.
members | This consists of an array of string 's for all the members in the group.

### Changelog

Version | Description
--- | ---
4.2.0 | Prior to this version, members was simply an integer representing the number of members in the group, and the member names were returned with numerical indices.

### Examples

Example #1 Example use of posix_getgrnam()

`<?php
$groupinfo = posix_getgrnam("toons");
print_r($groupinfo);
?>`

The above example will output something similar to:

    Array
    (
        [name]    => toons
        [passwd]  => x
        [members] => Array
            (
                [0] => tom
                [1] => jerry
            )
        [gid]     => 42
    )

### See Also

- posix_getegid() - Return the effective group ID of the current process
- posix_getgrgid() - Return info about a group by group id
- filegroup() - Gets file group
- stat() - Gives information about a file
- safe_mode_gid
- POSIX man page GETGRNAM(3)

posix_getgrgid
posix_getgroups
POSIX Functions
PHP Manual